[Japanese]

JVNDB-2015-000113

Photo Gallery CMS for PC, smartphone and feature phone (Free) vulnerable to cross-site scripting

Overview

Photo Gallery CMS for PC, smartphone and feature phone (Free) provided by PHP Kobo contains a cross-site scripting (CWE-79) vulnerability in admin.php.

Yuji Tounai of NTT Com Security(Japan) KK reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 4.0 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: Single Instance
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


PHP Kobo
  • Photo Gallery CMS for PC, smartphone and feature phone (Free) ver.1.0.1 and earlier

Impact

An arbitrary script may be executed on the user's web browser.
Solution

[Update the Software]
Replace admin.php with a new version according to the information provided by the developer.
Vendor Information

PHP Kobo
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2015-2982
References

  1. JVN : JVN#69175956
  2. National Vulnerability Database (NVD) : CVE-2015-2982
Revision History

[2015/08/12]
  Web page was published
[2015/08/26]
  References : Content was added